Bug 176699 - devel/py-celery: fix build with new dateutil
Summary: devel/py-celery: fix build with new dateutil
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-06 20:00 UTC by Ruslan Makhmatkhanov
Modified: 2013-03-07 06:12 UTC (History)
0 users

See Also:


Attachments
file.diff (2.23 KB, patch)
2013-03-06 20:00 UTC, Ruslan Makhmatkhanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ruslan Makhmatkhanov freebsd_committer 2013-03-06 20:00:00 UTC
- add patch to fix build with devel/py-dateutil 2.1
- sort pkg-plist a bit
- tab -> space change in pkg-descr:WWW

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-03-06 20:01:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-03-06 20:01:56 UTC
Maintainer of devel/py-celery,

Please note that PR ports/176699 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/176699

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-03-06 20:02:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Alexandros Kosiaris 2013-03-06 21:33:05 UTC
Hello, approved. Thanks for the patch.


On Wed, Mar 6, 2013 at 10:01 PM, Edwin Groothuis <edwin@freebsd.org> wrote:

> Maintainer of devel/py-celery,
>
> Please note that PR ports/176699 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/176699
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 5 dfilter service freebsd_committer 2013-03-07 06:09:52 UTC
Author: rm
Date: Thu Mar  7 06:09:44 2013
New Revision: 313564
URL: http://svnweb.freebsd.org/changeset/ports/313564

Log:
  - add patch to fix build with devel/py-dateutil 2.1
  - sort pkg-plist a bit
  - tab -> space change in pkg-descr:WWW
  
  PR:		176699
  Submitted by:	rm (myself)
  Approved by:	Alexandros Kosiaris <akosiaris@gmail.com> (maintainer)

Added:
  head/devel/py-celery/files/
  head/devel/py-celery/files/patch-setup.py   (contents, props changed)
Modified:
  head/devel/py-celery/pkg-descr   (contents, props changed)
  head/devel/py-celery/pkg-plist   (contents, props changed)

Added: head/devel/py-celery/files/patch-setup.py
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/py-celery/files/patch-setup.py	Thu Mar  7 06:09:44 2013	(r313564)
@@ -0,0 +1,15 @@
+--- ./setup.py.orig	2012-06-07 14:17:23.000000000 +0400
++++ ./setup.py	2013-03-06 01:18:47.000000000 +0400
+@@ -109,11 +109,8 @@
+ install_requires.extend([
+     "anyjson>=0.3.1",
+     "kombu>=2.1.8,<2.2.0",
++    "python-dateutil != 2.0",
+ ])
+-if is_py3k:
+-    install_requires.append("python-dateutil>=2.0")
+-else:
+-    install_requires.append("python-dateutil>=1.5,<2.0")
+ 
+ py_version = sys.version_info
+ is_jython = sys.platform.startswith("java")

Modified: head/devel/py-celery/pkg-descr
==============================================================================
--- head/devel/py-celery/pkg-descr	Thu Mar  7 04:38:30 2013	(r313563)
+++ head/devel/py-celery/pkg-descr	Thu Mar  7 06:09:44 2013	(r313564)
@@ -14,4 +14,4 @@ The recommended message broker is Rabbit
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available.
 
-WWW:   http://pypi.python.org/pypi/celery/
+WWW: http://pypi.python.org/pypi/celery/

Modified: head/devel/py-celery/pkg-plist
==============================================================================
--- head/devel/py-celery/pkg-plist	Thu Mar  7 04:38:30 2013	(r313563)
+++ head/devel/py-celery/pkg-plist	Thu Mar  7 06:09:44 2013	(r313564)
@@ -1,3 +1,9 @@
+bin/celerybeat
+bin/celeryd-multi
+bin/celeryctl
+bin/camqadm
+bin/celeryd
+bin/celeryev
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/celery/result.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/celery/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/celery/log.pyc
@@ -593,12 +599,6 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/requires.txt
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
-bin/celerybeat
-bin/celeryd-multi
-bin/celeryctl
-bin/camqadm
-bin/celeryd
-bin/celeryev
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/celery/app/task
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/celery/app
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2013-03-07 06:12:51 UTC
State Changed
From-To: feedback->closed

Committed, thanks.